<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta name="copyright"
    content="Copyright (c) Motorola and others 2009. This page is made available under license. For full details see the LEGAL in the documentation book that contains this page.">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<LINK REL="STYLESHEET" HREF="../../style/book.css" CHARSET="ISO-8859-1"
    TYPE="text/css">
<title>Creating an External Library</title>
</head>
<body>
<h2>Creating an External Library</h2>
<p>In this section, you will be learning how to create an external
library to be integrated to the MTJ MIDlet Wizard.
<h3>Summary:</h3>
<p>The external library creation process is composed of the
following tasks:</p>
<ol>
    <li>Create a folder structure for the library jar and
    resources;</li>
    <li>Extend the <b><a
        href="../../reference/extension-points/org_eclipse_mtj_core_externallibrary.html"
        style="text-decoration: none;">org.eclipse.mtj.core.externallibrary</a></b>
    extension point;</li>
    <li>Fill in the library's branding info;</li>
    <li>Define the library's classpath entries;</li>
    <li>Specify an license</li>
</ol>
<h3>Create a folder structure for the library jar and resources</h3>
<p>The external library folder structure <b>could</b> follow the
format bellow inside the plugin's project root:</p>
<ul>
    <li><b>lib</b> : used to hold the jar file of the library</li>
    <li><b>javadocs</b> : used to hold the javadoc resources.</li>
    <li><b>src</b> : used to hold the library's source files.</li>
</ul>
<h4>See example bellow:</h4>
<img border="1px" src="images/folders.png"
    alt="External Library folder structure." />
<h3>Fill in the library's branding info</h3>
<p>Fill in the branding fields. For this example we are using the "<a
    href="https://lwuit.dev.java.net/">Lightweight User Interface
Toolkit</a>" library version 1.1.</p>
<br>
<img border="1px" src="images/branding.png" alt="Branding Info" />
<br>
<br>
<h3>Define the library's classpath entries</h3>
<p>You <strong>MUST</strong> specify the path to the library's jar
within the plug-in you are creating.</p>
<p>The javadoc path is optional and can be either a folder inside
the plug-in or an URL. The library's source code path its also optional
but if defined, it must be a folder inside the plug-in.</p>
<br>
<img border="1px" src="images/classpath.png" alt="Classpath entries" />
<br>
<br>
<p>Access rules may also be created for the classpath entry.</p>
<h3>Specify an license</h3>
<p>Define the license under which this library was released. You <strong>MUST</strong>
provide the license name and an URL where the user can find the text of
that license.</p>
<br>
<img border="1px" src="images/license.png" alt="Licensing Info" />
<br>
<br>
<h2>Using the External Library</h2>
<p>After the installation of the plug-in in the workbench, the new
external library will be available to the user in the "New MIDlet
Project" Wizard.</p>
<br>
<img src="images/project.png" alt="New MIDlet Project Wizard." />
<br>
<br>
<p>In case the user select it in the New MIDlet Project Wizard, the
library jar will be automatically included in the project's classpath.</p>
<br>
<img border="1px" src="images/projectclasspath.png" alt="Project classpath." />
<br>
<br>
</body>
</html>